Subject: Re: bug#49278: 28.0.50; Lisp Mode is for Common Lisp

From: Phil Hagelberg <[email-masked]>
Date: Tue, 29 Jun 2021 20:50:32 -0700

> In addition, there is in Emacs 27.1 a new lisp-data-mode.  That is
> useful for defining using define-derived-mode to make Lisp-like major
> modes derived from commonly found Lisp-style functionality such as
> parenthesis-matching syntax tables and such.

I don't think this is a very good argument; as the author of a major
mode for a lisp language, it never would have occurred to me to even
look at lisp-data-mode because its name indicates that it's not intended
for use writing programs. Yes, I know code is data, etc, but this name
still strongly implies a different use.

If the docstring for lisp-mode is to be changed, (rather than adding a
common-lisp-mode for common lisp like they should have done at the
outset) then it would be better if a replacement mode were introduced
which other lisp major modes could derive from. Otherwise there's no way
to enable paredit-mode (for instance) across all lisps. Deriving off
prog-mode isn't a very good solution there.

-Phil